Description

If the test needs to be interrupted (the subject forgot a dentist appointment, there is a fire alarm, there is a technical difficulty, the
research just realised the last set of sounds in the test contains a wrong sound...), it should be possible to end the test and save all
results so far. Then, it should be possible to load this test (same randomisation, comments and ratings so far saved, skip pages that
were already completed. 
In terms of UI, this could be an inconspicuous button/bit of text somewhere near the top or bottom, saying 'Interrupt and save' or
something - so that it is clear this is not generally for the subject to click.

Related issues:
Related to Feature # 1231: Intermediate saves Resolved 2015-05-18

History
#1 - 2015-11-19 03:59 PM - Nicholas Jillings
- Related to Feature #1231: Intermediate saves added

#2 - 2015-11-26 03:15 PM - Brecht De Man

If this could be saved to the server, but maybe as 'part-151126145718-ab65iJ.xml' rather than a proper save file, so that it is obvious that action is
required.

#3 - 2015-11-30 04:34 PM - Brecht De Man

A call to 'createProjectSave(specification.projectReturn)' would probably do it. 
However, the problem with that is that it doesn't save anything moved/played/written on the CURRENT page. So imagine there's just one page and
someone has almost finished it, or was about to hit 'Submit' when the test is interrupted - it would be good to save all information until then. 
Related to #1231 where it is suggested that there could be automatic saves continually.

#4 - 2016-03-01 07:49 PM - Brecht De Man
- Priority changed from Normal to Urgent

Now useful in an experiment I'm running asap - so perhaps something that could be looked after WAC things are implemented. 
I.e. ‘End prematurely’ or better named button, so that you can end the test there and then and everything up to that point would be saved. For
instance, you can put a test online where people can do a long list of pages, with max number of pages specified in the tag as usual, but then also stop
whenever they feel like it.

#5 - 2016-03-09 01:50 PM - Nicholas Jillings
- Status changed from New to In Progress
This is now done in the background. On each page completion a save to the server is submitted. You only need to refresh/close the browser to start a
new session.

Would perhaps a 'save every 5 minutes' be better?

#6 - 2016-03-16 04:47 PM - Nicholas Jillings
- Status changed from In Progress to Resolved
